import Head from "next/head";
import { useRouter } from "next/router";
import { useEffect, useState } from "react";
import { BiDetail } from "react-icons/bi";
import { BsWhatsapp } from "react-icons/bs";
import Navbar from "../../../components/Navbar";

export default function Detail(props) {
  const [school, setSchool] = useState({});
  let router = useRouter();
  const {id} =  router.query;
  // let query = router.query;
  
  function getSchool() {
    var requestOptions = {
      method: "GET",
      redirect: "follow",
    };
    return fetch(`http://localhost:3000/api/school/${id}`, requestOptions)
      .then((response) => response.json())
      .catch((error) => {});
  }

  async function InitSchool() {
    let schools = await getSchool();
    if (schools.status === 200) {
      setSchool(schools.data);
    }
  }
  useEffect(()=>{
    if(!id) return;
    InitSchool();
  },[id])

  return (
    <>
      <Head>
        <title>Create Next App</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <main>
        <Navbar />
        <div className="w-100 bg-blue-600 flex flex-col items-center md:flex-row">
          <div className="flex-1 py-10 md:py-20">
            <span className="text-white text-5xl px-3 font-bold md:px-6">
              {school.name}
            </span>
            <div className="flex flex-col text-neutral-200 text-2xl py-2 px-3 font-bold md:px-6 md:flex-row">
              <span>Tanggal Pendaftaran:&nbsp;</span>
              <span>17 Agustus 2023</span>
            </div>
            <div className="px-6">
              <span class="flex items-center justify-center mt-4 w-full bg-green-400 hover:bg-green-500 py-1 rounded md:w-1/4">
                <BsWhatsapp /> &nbsp;
                <button class="font-semibold text-gray-800">Kontak Kami</button>
              </span>
            </div>
          </div>
          <div className="w-72 my-3 md:my-20 md:mr-10">
            <img
              src={school.url}
              alt=""
            />
          </div>
        </div>
        <div className="p-3">
          <div>
            <span className="text-3xl font-bold">Deskripsi</span>
          </div>
          <div className="mt-3">
            {school.description}
          </div>
        </div>
        <div className="p-3">
          <div>
            <span className="text-3xl font-bold">Kurikulum</span>
          </div>
          <div className="mt-3">
            {school.curriculum}
          </div>
        </div>
      </main>
    </>
  );
}
